package com.caimei365.order.feign;

import com.caimei365.order.utils.ResponseJson;
import com.caimei365.order.utils.message.MessageModel;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/9/8
 */
@FeignClient("CAIMEI365-CLOUD-TOOLS")
public interface ToolsFeign {
    /**
     * 请求发短信接口
     *
     * @param mobile  手机号
     * @param content 内容
     * @return str
     */
    @PostMapping("/tools/sms/send")
    String getSendSms(@RequestParam Integer type, @RequestParam String mobile, @RequestParam String content);

    /**
     * 智能获取物流信息
     *
     * @param number      快递单号
     * @param companyCode 快递公司的编码
     * @param mobile      收/寄件人的电话号码(顺丰必填)
     * @return str
     */
    @GetMapping("/tools/query/logistics")
    String getLogisticsByNumber(@RequestParam String number, @RequestParam String companyCode, @RequestParam String mobile);

    /**
     * 请求发消息
     */
    @PostMapping("/tools/message/send")
    ResponseJson sendCommonMessage(@RequestBody MessageModel messageModel);
}
