package com.caimei365.order.utils.message;


import lombok.Data;
import lombok.experimental.Accessors;
import org.hibernate.validator.constraints.Range;


@Data
@Accessors(fluent = true)
public class MqInfo {
    /**
     * 异步消息(可选)：1是，0否
     */
    @Range(min = 0, max = 1)
    private Integer async;

    /**
     * 1-18，0否，对应时间依次：1s 5s 10s 30s 1m 2m 3m 4m 5m 6m 7m 8m 9m 10m 20m 30m 1h 2h
     */
    @Range(min = 0, max = 18)
    private Integer delay;

    /**
     * 消息主题
     */
    private String topic;

    /**
     * 消息标签(可选)
     */
    private String tag;

    public Integer getAsync() {
        return async;
    }

    public void setAsync(Integer async) {
        this.async = async;
    }

    public Integer getDelay() {
        return delay;
    }

    public void setDelay(Integer delay) {
        this.delay = delay;
    }

    public String getTopic() {
        return topic;
    }

    public void setTopic(String topic) {
        this.topic = topic;
    }

    public String getTag() {
        return tag;
    }

    public void setTag(String tag) {
        this.tag = tag;
    }
}
